* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

@media (prefers-color-scheme: light), (prefers-color-scheme: no-preference) {
    :root {
        --title-color: #000;
        --background-color: #fff;
        --balance-color: rgba(0, 0, 0, 0.5);
        --device-color: rgba(108, 108, 108, 0.5);
        --dialog-background-color: #fff;
        --dialog-title-color: #000;
        --dialog-text-color: rgba(0,0,0,0.7);
        --apply-refund-card-bg-color: #fff;
    }
}

@media (prefers-color-scheme: dark) {
    :root {
        --title-color: #fff;
        --background-color: #000;
        --balance-color: rgba(255, 255, 255, 0.5);
        --device-color: rgba(148, 143, 143, 0.5);
        --dialog-background-color: #3b3b3b;
        --dialog-title-color: #fff;
        --dialog-text-color: #d4d4d4;
        --apply-refund-card-bg-color: #000;
    }
}
html,
body {
    width: 100vw;
    font-family: "MILanPro--GB1-4", "MILanPro--GB1";
    overflow-x: hidden;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    background-color: var(--background-color);
}
a {
text-decoration: none;
}
.warp {
    position: relative;
    width: 88vw;
    margin: 7vw 6vw 20vw 6vw;
}

.card-title {
    font-size: 3.9vw;
    color: #8C93B0;
    font-weight: normal;
    margin: 8vw 0 5vw 0;
    margin-top: 8vw;
}

ul {
    list-style: none;
    border-bottom: 1px solid #eaeaea;
}
ul:last-child{
    border: 0;
}
.cardlist li {
    display: flex;
    flex-wrap: nowrap;
    align-items: center;
    margin-bottom: 7.5vw;
    justify-content: space-between;
}

.cardlist .list-loading{
    width: 7vw;
    height: 7vw;
    text-align: center;
    margin: 0 auto;
    animation: loadingimg 1.4s infinite linear;
}
.cardlist .no-card{
    justify-content: center;
    color: #cacaca;
    font-size: 4vw;
}
.card {
    width: 14vw;
    height: 9.5vw;
    border-radius: 3px;
}
.more-card{
    margin: 1vw auto -4vw;
    font-size: 3vw;
    color: #8f8f8f;
    display: flex;
    align-items: center;
}
.more-card img{
    width: 3.8vw;
}
.card-info {
    padding: 0 3vw;
    flex-grow: 1;
    line-height: 4.1vw;
}

.card-info p {
    color: var(--title-color);
    font-size: 4.1vw;
    white-space: nowrap;
    width: 47vw;
    text-overflow: ellipsis;
    overflow: hidden;
    margin-bottom: 2vw;
}

.card-info span {
    color: var(--balance-color);
    font-size: 3.0vw;
}

.card-info em {
    color: var(--device-color);
    font-size: 3.0vw;
    font-style: normal;
}

.refund {
    color: #0097FF;
    font-size: 3.8vw;
    white-space: nowrap;
    width: 18vw;
    line-height: 3.2vw;
    text-decoration: none;
    padding: 10px 0;
}
.apply-refund-card{
    width: 22vw;
    border: 0;
    background: var(--apply-refund-card-bg-color);            
}

.refund img{
    width: 3vw;
    margin-left: 1.2vw;
}
.no-refund-card{
    color: #968e8e;
}
.dialog,
.refund-tip-dialog
{
    position: fixed;
    left: 0;
    top: 0;
    width: 100vw;
    height: 100vh;
    background: rgba(0, 0, 0, 0.3);
}
.dialog-content,
.refund-tip-dialog-content{
    width: 100%;
    position: fixed;
    bottom: 0;
    padding-top: 7vw;
    background-color: var(--dialog-background-color);
    animation: up .4s 1;
    border-top-left-radius: 30px;
    border-top-right-radius: 30px;
}
@keyframes up {
    0% {
        bottom: -100vw;
    }
    100% {
        bottom: 0vw;
    }
}
.dialog-title,
.refund-tip-dialog-title{
    text-align: center;
    font-size: 4.5vw;
    letter-spacing: 1px;
    font-weight: bold;
    color: var(--dialog-title-color);
}
.dialog .notice,
.refund-tip-dialog .refund-tip-notice {
    padding: 3vw 2vw 11vw;
}
.dialog .notice p,
.refund-tip-dialog .refund-tip-notice p
{
    padding: 2vw 8vw;
    color: var(--dialog-text-color);
    font-size: 4vw;
}
.dialog .btn,
.refund-tip-dialog .refund-tip-btn{
    height: 18vw;
    position: relative;
    margin: 0 7vw;
}
.dialog .btn button,
.refund-tip-btn button
{
    width: 48%;
    text-align: center;
    height: 12vw;
    color: #2a2a2a;
    border: 0;
    border-radius: 15px;
    letter-spacing: 1px;
    font-size: 4vw;
}
.dialog .btn .cancle{
    float: left;
}
.dialog .btn .confirm{
    float: right;
    color: #fff;
    background: #3482ff;
}
.refund-tip-btn .close-btn{
    display: block;
    margin: 0 auto;
    width: 100%;
    color: #fff;
    background: #3482ff;
}
.refund-tip-dialog span{
    color: #3482ff;
    margin: 0 5px;
}
.refund-tip-dialog a{
    color: #3482ff;
    margin: 0 5px;
}
.loading{
    font-size: 4vw;
    position: fixed;
    bottom: 0;
    border-top-right-radius: 25px;
    border-top-left-radius: 25px;
    background: #fff;
    width: 100vw;
    line-height: 22vw;
    display: flex;
    align-items: center;
}
.loading svg{
    width: 6vw;
    height: 6vw;
    margin: 0 3vw 0 10vw;
    animation: loadingimg 1.4s infinite linear;
}
.loading p{
    font-size: 4.2vw;
    letter-spacing: 1px;
}
@keyframes loadingimg {
    0% {
        -webkit-transform: rotate(0deg);
        transform: rotate(0deg);
    }
    100% {
        -webkit-transform: rotate(360deg);
        transform: rotate(360deg);
    }
}
.toast{
    display: none;
    font-size: 4vw;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    border-radius: 8px;
    text-align: center;
    background: rgba(0, 0, 0, 0.7);
    color: #fff;
    padding: 3vw 5vw;
}
.cardlist .hide{
    display: none!important;
}
.dialog-content .hide{
    display: none;
}
.hide{
    display: none;
}